/*
 *  light.cpp
 *
 *  Author : Ahmed Obied (ahmed.obied@gmail.com)
 *
 */

#include "light.h"

Light::Light()
{
}

void Light::setPosition(gmVector3 position)
{
  pos = position;
}

void Light::setMat(Color amb,Color dif,Color spec)
{
  // set the ambient, diffuse and specular of the light source
  lightMat.setAmbient(amb);
  lightMat.setDiffuse(dif);
  lightMat.setSpecular(spec);
}
