/*
 *  light.h
 *
 *  Author : Ahmed Obied (ahmed.obied@gmail.com)
 *
 */

#ifndef LIGHT_H
#define LIGHT_H
#include "gmVec3.h"
#include "material.h"

class Light
{
 public:
  Light();
  gmVector3 pos;
  Material lightMat;
  void setPosition(gmVector3 position);
  void setMat(Color amb,Color dif,Color spec);

};

#endif
